net.sf.saxon.expr

## Class StackFrame

- java.lang.Object
- - net.sf.saxon.expr.StackFrame

-     public class StackFrame
      extends Object

  This class represents a stack frame holding details of the variables used in a function or in an XSLT template.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Stack<Sequence>` | `dynamicStack`
    `static StackFrame` | `EMPTY`
    `protected SlotManager` | `map`
    `protected Sequence[]` | `slots`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackFrame(SlotManager map, Sequence[] slots)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StackFrame` | `copy()`
    `SlotManager` | `getStackFrameMap()`
    `Sequence[]` | `getStackFrameValues()`
    `Sequence` | `popDynamicValue()`
    `void` | `pushDynamicValue(Sequence value)`
    `void` | `setStackFrameValues(Sequence[] values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          protected SlotManager map

    - #### slots

          protected Sequence[] slots

    - #### dynamicStack

          protected Stack<Sequence> dynamicStack

    - #### EMPTY

          public static final StackFrame EMPTY

  - ### Constructor Detail

    - #### StackFrame

          public StackFrame(SlotManager map,
                    Sequence[] slots)

  - ### Method Detail

    - #### getStackFrameMap

          public SlotManager getStackFrameMap()

    - #### getStackFrameValues

          public Sequence[] getStackFrameValues()

    - #### setStackFrameValues

          public void setStackFrameValues(Sequence[] values)

    - #### copy

          public StackFrame copy()

    - #### pushDynamicValue

          public void pushDynamicValue(Sequence value)

    - #### popDynamicValue

          public Sequence popDynamicValue()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.